NX Open C++ Reference Guide
|
Represents a @link Weld::Fillet Weld::Fillet@endlink builder <br> To create a new instance of this class, use @link Weld::WeldManager::CreateFilletBuilder Weld::WeldManager::CreateFilletBuilder @endlink <br>
Default values. More...
Public Types | |
enum | EnumContour { EnumContourNone, EnumContourConvex, EnumContourFlush, EnumContourConcave } |
the Contour enum More... | |
enum | EnumExtensionMethod { EnumExtensionMethodAutomatic, EnumExtensionMethodByValue } |
the Extension enum More... | |
enum | EnumSkipWeldMethod { EnumSkipWeldMethodNumberLength, EnumSkipWeldMethodNumberSpacing, EnumSkipWeldMethodSpacingLength } |
the Skipweld enum More... | |
enum | EnumWeldingType { EnumWeldingTypeT, EnumWeldingTypeLap, EnumWeldingTypeCorner } |
the WeldingType enum More... | |
Public Member Functions | |
bool | AllowBroken () |
Returns the toggle to allow broken link Created in NX8.0.0. | |
bool | AssignWeldPMI () |
Returns the toggle to assign weld pmi Created in NX8.0.0. | |
NXOpen::Expression * | ContourHeight () |
Returns the linear dimension contour height Created in NX8.0.0. | |
NXOpen::Weld::FilletBuilder::EnumContour | ContourType () |
Returns the contour Created in NX8.0.0. | |
bool | DirectionVector1 () |
Returns the face normal direction Created in NX8.0.0. | |
bool | DirectionVector2 () |
Returns the face normal direction for the second face Created in NX8.0.0. | |
bool | DirectToggle () |
Returns the toggle to change direction Created in NX8.0.0. | |
double | DistTolerance () |
Returns the distance tolerance Created in NX8.0.0. | |
NXOpen::Section * | EdgeSet1 () |
Returns the edge set1 Created in NX8.0.0. | |
NXOpen::Section * | EdgeSet2 () |
Returns the edge set2 Created in NX8.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | EndDist () |
Returns the on path dimension end distance Created in NX8.0.0. | |
bool | EndVector () |
Returns the end direction reversed or not Created in NX8.0.0. | |
NXOpen::Weld::FilletBuilder::EnumSkipWeldMethod | EnumMethod () |
Returns the enum method for skip welds Created in NX8.0.0. | |
NXOpen::Expression * | ExtensionDistance () |
Returns the linear dimension extension distance Created in NX8.0.0. | |
NXOpen::Weld::FilletBuilder::EnumExtensionMethod | ExtensionMethod () |
Returns the extension method Created in NX8.0.0. | |
NXOpen::ScCollector * | FaceSet1 () |
Returns the face set1 Created in NX8.0.0. | |
NXOpen::ScCollector * | FaceSet2 () |
Returns the face set2 Created in NX8.0.0. | |
bool | FieldWeld () |
Returns the field weld Created in NX8.0.0. | |
NXOpen::Weld::FilletBuilder::EnumWeldingType | FilletType () |
Returns the fillet type Created in NX8.0.0. | |
NXOpen::Expression * | FirstLeg () |
Returns the linear dimension first leg Created in NX8.0.0. | |
NXOpen::Expression * | NumberOfWelds () |
Returns the expression number indicates number of welds in skip welds Created in NX8.0.0. | |
NXOpen::NXObject * | Pmi () |
Returns the pmi symbol Created in NX8.0.0. | |
NXOpen::Expression * | SecondLeg () |
Returns the linear dimension second leg Created in NX8.0.0. | |
NXOpen::Face * | SeedFace1 () |
Returns the first seed face Created in NX8.0.0. | |
NXOpen::Face * | SeedFace2 () |
Returns the second seed face Created in NX8.0.0. | |
NXOpen::Point3d | SeedPoint1 () |
Returns the point on the first face Created in NX8.0.0. | |
NXOpen::Point3d | SeedPoint2 () |
Returns the point on the second face Created in NX8.0.0. | |
NXOpen::Expression * | SegmentLength () |
Returns the linear dimension length indicates segment length for each weld Created in NX8.0.0. | |
void | SetAllowBroken (bool allowBroken) |
Sets the toggle to allow broken link Created in NX8.0.0. | |
void | SetAssignWeldPMI (bool assignWeldPMI) |
Sets the toggle to assign weld pmi Created in NX8.0.0. | |
void | SetContourType (NXOpen::Weld::FilletBuilder::EnumContour contour) |
Sets the contour Created in NX8.0.0. | |
void | SetDirectionVector1 (bool directionVector1) |
Sets the face normal direction Created in NX8.0.0. | |
void | SetDirectionVector2 (bool directionVector2) |
Sets the face normal direction for the second face Created in NX8.0.0. | |
void | SetDirectToggle (bool directToggle) |
Sets the toggle to change direction Created in NX8.0.0. | |
void | SetDistTolerance (double distTolerance) |
Sets the distance tolerance Created in NX8.0.0. | |
void | SetEndVector (bool endVector) |
Sets the end direction reversed or not Created in NX8.0.0. | |
void | SetEnumMethod (NXOpen::Weld::FilletBuilder::EnumSkipWeldMethod enumMethod) |
Sets the enum method for skip welds Created in NX8.0.0. | |
void | SetExtensionMethod (NXOpen::Weld::FilletBuilder::EnumExtensionMethod extensionMethod) |
Sets the extension method Created in NX8.0.0. | |
void | SetFieldWeld (bool fieldWeld) |
Sets the field weld Created in NX8.0.0. | |
void | SetFilletType (NXOpen::Weld::FilletBuilder::EnumWeldingType filletType) |
Sets the fillet type Created in NX8.0.0. | |
void | SetPmi (NXOpen::NXObject *pmi) |
Sets the pmi symbol Created in NX8.0.0. | |
void | SetSeedFace1 (NXOpen::Face *seedFace1) |
Sets the first seed face Created in NX8.0.0. | |
void | SetSeedFace2 (NXOpen::Face *seedFace2) |
Sets the second seed face Created in NX8.0.0. | |
void | SetSeedPoint1 (const NXOpen::Point3d &seedPoint1) |
Sets the point on the first face Created in NX8.0.0. | |
void | SetSeedPoint2 (const NXOpen::Point3d &seedPoint1) |
Sets the point on the second face Created in NX8.0.0. | |
void | SetStartVector (bool startVector) |
Sets the start direction reversed or not Created in NX8.0.0. | |
void | SetThroatThickToggle (bool throatThickToggle) |
Sets the toggle throat thickness Created in NX8.0.0. | |
void | SetToggleCreateSkipWelds (bool toggleCreateSkipWelds) |
Sets the toggle to create skip welds Created in NX8.0.0. | |
void | SetToggleRecreateDeletedWelds (bool toggleRecreateDeletedWelds) |
Sets the toggle to recreate deleted welds Created in NX8.0.0. | |
void | SetUparameter1 (double u1) |
Sets the u parameter for first face Created in NX8.0.0. | |
void | SetUparameter2 (double u2) |
Sets the u parameter for second face Created in NX8.0.0. | |
void | SetVparameter1 (double v1) |
Sets the v parameter for first face Created in NX8.0.0. | |
void | SetVparameter2 (double v2) |
Sets the v parameter for second face Created in NX8.0.0. | |
NXOpen::Expression * | Spacing () |
Returns the linear dimension spacing indicates distance between each weld Created in NX8.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | StartDist () |
Returns the on path dimension start distance Created in NX8.0.0. | |
bool | StartVector () |
Returns the start direction reversed or not Created in NX8.0.0. | |
bool | ThroatThickToggle () |
Returns the toggle throat thickness Created in NX8.0.0. | |
bool | ToggleCreateSkipWelds () |
Returns the toggle to create skip welds Created in NX8.0.0. | |
bool | ToggleRecreateDeletedWelds () |
Returns the toggle to recreate deleted welds Created in NX8.0.0. | |
double | Uparameter1 () |
Returns the u parameter for first face Created in NX8.0.0. | |
double | Uparameter2 () |
Returns the u parameter for second face Created in NX8.0.0. | |
double | Vparameter1 () |
Returns the v parameter for first face Created in NX8.0.0. | |
double | Vparameter2 () |
Returns the v parameter for second face Created in NX8.0.0. | |
NXOpen::Weld::CharacteristicsBuilder * | WeldingCharacteristics () |
Returns the welding characteristics Created in NX8.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Weld::Fillet Weld::Fillet@endlink builder <br> To create a new instance of this class, use @link Weld::WeldManager::CreateFilletBuilder Weld::WeldManager::CreateFilletBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AllowBroken |
0 |
AssignWeldPMI |
0 |
ContourHeight.Value |
1.875 (millimeters part), .073818 (inches part) |
ContourType |
None |
EnumMethod |
NumberLength |
ExtensionDistance.Value |
0.0254 (millimeters part), 0.001 (inches part) |
ExtensionMethod |
Automatic |
FieldWeld |
0 |
FilletType |
T |
FirstLeg.Value |
6.25 (millimeters part), .246062 (inches part) |
NumberOfWelds.Value |
3 |
SecondLeg.Value |
6.25 (millimeters part), .246062 (inches part) |
SegmentLength.Value |
3 (millimeters part), .118110 (inches part) |
Spacing.Value |
3 (millimeters part), .118110 (inches part) |
ThroatThickToggle |
0 |
ToggleCreateSkipWelds |
0 |
ToggleRecreateDeletedWelds |
0 |
Created in NX8.0.0.
bool NXOpen::Weld::FilletBuilder::AllowBroken | ( | ) |
Returns the toggle to allow broken link
Created in NX8.0.0.
License requirements : None
bool NXOpen::Weld::FilletBuilder::AssignWeldPMI | ( | ) |
Returns the toggle to assign weld pmi
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::FilletBuilder::ContourHeight | ( | ) |
Returns the linear dimension contour height
Created in NX8.0.0.
License requirements : None
NXOpen::Weld::FilletBuilder::EnumContour NXOpen::Weld::FilletBuilder::ContourType | ( | ) |
Returns the contour
Created in NX8.0.0.
License requirements : None
bool NXOpen::Weld::FilletBuilder::DirectionVector1 | ( | ) |
Returns the face normal direction
Created in NX8.0.0.
License requirements : None
bool NXOpen::Weld::FilletBuilder::DirectionVector2 | ( | ) |
Returns the face normal direction for the second face
Created in NX8.0.0.
License requirements : None
bool NXOpen::Weld::FilletBuilder::DirectToggle | ( | ) |
Returns the toggle to change direction
Created in NX8.0.0.
License requirements : None
double NXOpen::Weld::FilletBuilder::DistTolerance | ( | ) |
Returns the distance tolerance
Created in NX8.0.0.
License requirements : None
NXOpen::Section* NXOpen::Weld::FilletBuilder::EdgeSet1 | ( | ) |
Returns the edge set1
Created in NX8.0.0.
License requirements : None
NXOpen::Section* NXOpen::Weld::FilletBuilder::EdgeSet2 | ( | ) |
Returns the edge set2
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Weld::FilletBuilder::EndDist | ( | ) |
Returns the on path dimension end distance
Created in NX8.0.0.
License requirements : None
bool NXOpen::Weld::FilletBuilder::EndVector | ( | ) |
Returns the end direction reversed or not
Created in NX8.0.0.
License requirements : None
NXOpen::Weld::FilletBuilder::EnumSkipWeldMethod NXOpen::Weld::FilletBuilder::EnumMethod | ( | ) |
Returns the enum method for skip welds
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::FilletBuilder::ExtensionDistance | ( | ) |
Returns the linear dimension extension distance
Created in NX8.0.0.
License requirements : None
NXOpen::Weld::FilletBuilder::EnumExtensionMethod NXOpen::Weld::FilletBuilder::ExtensionMethod | ( | ) |
Returns the extension method
Created in NX8.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Weld::FilletBuilder::FaceSet1 | ( | ) |
Returns the face set1
Created in NX8.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Weld::FilletBuilder::FaceSet2 | ( | ) |
Returns the face set2
Created in NX8.0.0.
License requirements : None
bool NXOpen::Weld::FilletBuilder::FieldWeld | ( | ) |
Returns the field weld
Created in NX8.0.0.
License requirements : None
NXOpen::Weld::FilletBuilder::EnumWeldingType NXOpen::Weld::FilletBuilder::FilletType | ( | ) |
Returns the fillet type
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::FilletBuilder::FirstLeg | ( | ) |
Returns the linear dimension first leg
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::FilletBuilder::NumberOfWelds | ( | ) |
Returns the expression number indicates number of welds in skip welds
Created in NX8.0.0.
License requirements : None
NXOpen::NXObject* NXOpen::Weld::FilletBuilder::Pmi | ( | ) |
Returns the pmi symbol
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::FilletBuilder::SecondLeg | ( | ) |
Returns the linear dimension second leg
Created in NX8.0.0.
License requirements : None
NXOpen::Face* NXOpen::Weld::FilletBuilder::SeedFace1 | ( | ) |
Returns the first seed face
Created in NX8.0.0.
License requirements : None
NXOpen::Face* NXOpen::Weld::FilletBuilder::SeedFace2 | ( | ) |
Returns the second seed face
Created in NX8.0.0.
License requirements : None
NXOpen::Point3d NXOpen::Weld::FilletBuilder::SeedPoint1 | ( | ) |
Returns the point on the first face
Created in NX8.0.0.
License requirements : None
NXOpen::Point3d NXOpen::Weld::FilletBuilder::SeedPoint2 | ( | ) |
Returns the point on the second face
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::FilletBuilder::SegmentLength | ( | ) |
Returns the linear dimension length indicates segment length for each weld
Created in NX8.0.0.
License requirements : None
void NXOpen::Weld::FilletBuilder::SetAllowBroken | ( | bool | allowBroken | ) |
Sets the toggle to allow broken link
Created in NX8.0.0.
License requirements : None
allowBroken | allowbroken |
void NXOpen::Weld::FilletBuilder::SetAssignWeldPMI | ( | bool | assignWeldPMI | ) |
Sets the toggle to assign weld pmi
Created in NX8.0.0.
License requirements : None
assignWeldPMI | assignweldpmi |
void NXOpen::Weld::FilletBuilder::SetContourType | ( | NXOpen::Weld::FilletBuilder::EnumContour | contour | ) |
Sets the contour
Created in NX8.0.0.
License requirements : None
contour | contour |
void NXOpen::Weld::FilletBuilder::SetDirectionVector1 | ( | bool | directionVector1 | ) |
Sets the face normal direction
Created in NX8.0.0.
License requirements : None
directionVector1 | directionvector1 |
void NXOpen::Weld::FilletBuilder::SetDirectionVector2 | ( | bool | directionVector2 | ) |
Sets the face normal direction for the second face
Created in NX8.0.0.
License requirements : None
directionVector2 | directionvector2 |
void NXOpen::Weld::FilletBuilder::SetDirectToggle | ( | bool | directToggle | ) |
Sets the toggle to change direction
Created in NX8.0.0.
License requirements : None
directToggle | directtoggle |
void NXOpen::Weld::FilletBuilder::SetDistTolerance | ( | double | distTolerance | ) |
Sets the distance tolerance
Created in NX8.0.0.
License requirements : None
distTolerance | disttolerance |
void NXOpen::Weld::FilletBuilder::SetEndVector | ( | bool | endVector | ) |
Sets the end direction reversed or not
Created in NX8.0.0.
License requirements : None
endVector | endvector |
void NXOpen::Weld::FilletBuilder::SetEnumMethod | ( | NXOpen::Weld::FilletBuilder::EnumSkipWeldMethod | enumMethod | ) |
Sets the enum method for skip welds
Created in NX8.0.0.
License requirements : None
enumMethod | enummethod |
void NXOpen::Weld::FilletBuilder::SetExtensionMethod | ( | NXOpen::Weld::FilletBuilder::EnumExtensionMethod | extensionMethod | ) |
Sets the extension method
Created in NX8.0.0.
License requirements : None
extensionMethod | extensionmethod |
void NXOpen::Weld::FilletBuilder::SetFieldWeld | ( | bool | fieldWeld | ) |
Sets the field weld
Created in NX8.0.0.
License requirements : None
fieldWeld | fieldweld |
void NXOpen::Weld::FilletBuilder::SetFilletType | ( | NXOpen::Weld::FilletBuilder::EnumWeldingType | filletType | ) |
Sets the fillet type
Created in NX8.0.0.
License requirements : None
filletType | fillettype |
void NXOpen::Weld::FilletBuilder::SetPmi | ( | NXOpen::NXObject * | pmi | ) |
Sets the pmi symbol
Created in NX8.0.0.
License requirements : None
pmi | pmi |
void NXOpen::Weld::FilletBuilder::SetSeedFace1 | ( | NXOpen::Face * | seedFace1 | ) |
Sets the first seed face
Created in NX8.0.0.
License requirements : None
seedFace1 | seedface1 |
void NXOpen::Weld::FilletBuilder::SetSeedFace2 | ( | NXOpen::Face * | seedFace2 | ) |
Sets the second seed face
Created in NX8.0.0.
License requirements : None
seedFace2 | seedface2 |
void NXOpen::Weld::FilletBuilder::SetSeedPoint1 | ( | const NXOpen::Point3d & | seedPoint1 | ) |
Sets the point on the first face
Created in NX8.0.0.
License requirements : None
seedPoint1 | seedpoint1 |
void NXOpen::Weld::FilletBuilder::SetSeedPoint2 | ( | const NXOpen::Point3d & | seedPoint1 | ) |
Sets the point on the second face
Created in NX8.0.0.
License requirements : None
seedPoint1 | seedpoint1 |
void NXOpen::Weld::FilletBuilder::SetStartVector | ( | bool | startVector | ) |
Sets the start direction reversed or not
Created in NX8.0.0.
License requirements : None
startVector | startvector |
void NXOpen::Weld::FilletBuilder::SetThroatThickToggle | ( | bool | throatThickToggle | ) |
Sets the toggle throat thickness
Created in NX8.0.0.
License requirements : None
throatThickToggle | throatthicktoggle |
void NXOpen::Weld::FilletBuilder::SetToggleCreateSkipWelds | ( | bool | toggleCreateSkipWelds | ) |
Sets the toggle to create skip welds
Created in NX8.0.0.
License requirements : None
toggleCreateSkipWelds | togglecreateskipwelds |
void NXOpen::Weld::FilletBuilder::SetToggleRecreateDeletedWelds | ( | bool | toggleRecreateDeletedWelds | ) |
Sets the toggle to recreate deleted welds
Created in NX8.0.0.
License requirements : None
toggleRecreateDeletedWelds | togglerecreatedeletedwelds |
void NXOpen::Weld::FilletBuilder::SetUparameter1 | ( | double | u1 | ) |
Sets the u parameter for first face
Created in NX8.0.0.
License requirements : None
u1 | u1 |
void NXOpen::Weld::FilletBuilder::SetUparameter2 | ( | double | u2 | ) |
Sets the u parameter for second face
Created in NX8.0.0.
License requirements : None
u2 | u2 |
void NXOpen::Weld::FilletBuilder::SetVparameter1 | ( | double | v1 | ) |
Sets the v parameter for first face
Created in NX8.0.0.
License requirements : None
v1 | v1 |
void NXOpen::Weld::FilletBuilder::SetVparameter2 | ( | double | v2 | ) |
Sets the v parameter for second face
Created in NX8.0.0.
License requirements : None
v2 | v2 |
NXOpen::Expression* NXOpen::Weld::FilletBuilder::Spacing | ( | ) |
Returns the linear dimension spacing indicates distance between each weld
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Weld::FilletBuilder::StartDist | ( | ) |
Returns the on path dimension start distance
Created in NX8.0.0.
License requirements : None
bool NXOpen::Weld::FilletBuilder::StartVector | ( | ) |
Returns the start direction reversed or not
Created in NX8.0.0.
License requirements : None
bool NXOpen::Weld::FilletBuilder::ThroatThickToggle | ( | ) |
Returns the toggle throat thickness
Created in NX8.0.0.
License requirements : None
bool NXOpen::Weld::FilletBuilder::ToggleCreateSkipWelds | ( | ) |
Returns the toggle to create skip welds
Created in NX8.0.0.
License requirements : None
bool NXOpen::Weld::FilletBuilder::ToggleRecreateDeletedWelds | ( | ) |
Returns the toggle to recreate deleted welds
Created in NX8.0.0.
License requirements : None
double NXOpen::Weld::FilletBuilder::Uparameter1 | ( | ) |
Returns the u parameter for first face
Created in NX8.0.0.
License requirements : None
double NXOpen::Weld::FilletBuilder::Uparameter2 | ( | ) |
Returns the u parameter for second face
Created in NX8.0.0.
License requirements : None
double NXOpen::Weld::FilletBuilder::Vparameter1 | ( | ) |
Returns the v parameter for first face
Created in NX8.0.0.
License requirements : None
double NXOpen::Weld::FilletBuilder::Vparameter2 | ( | ) |
Returns the v parameter for second face
Created in NX8.0.0.
License requirements : None
NXOpen::Weld::CharacteristicsBuilder* NXOpen::Weld::FilletBuilder::WeldingCharacteristics | ( | ) |
Returns the welding characteristics
Created in NX8.0.0.
License requirements : None